defmodule Prymn.Messaging.Messages do
  alias Prymn.Messaging.Messages.Health
  require Logger

  def handle_message(topic, body) do
    case topic do
      "health" -> Jason.decode!(body)
      _ -> Logger.warning("Received unknown topic inside the Connection server: #{topic}")
    end
  end
end

defmodule Prymn.Messaging.Messages.Health do
  defstruct [:cpu_status, :memory_status, :disk_status]
end
